org.eclipse.ecf.provider.filetransfer.browse

## Class URLFileSystemBrowser

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser
  - - org.eclipse.ecf.provider.filetransfer.browse.URLFileSystemBrowser

    public class URLFileSystemBrowser
    extends AbstractFileSystemBrowser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser

`AbstractFileSystemBrowser.DirectoryJob, AbstractFileSystemBrowser.RemoteFileSystemRequest`

### Field Summary

Fields
`protected String` `password`
`protected String` `username`

### Fields inherited from class org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser

`connectContext, directoryOrFile, fileID, job, listener, proxy, remoteFiles`

### Constructor Summary

Constructors
Constructor and Description
`URLFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `runRequest()` Run the actual request.
`protected void` `setupAuthentication()`
`protected void` `setupProxy(Proxy proxy2)`

### Methods inherited from class org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser

`cancel, cleanUp, createRemoteFileEvent, createRemoteFileSystemRequest, getException, isCanceled, newUserCancelledException, selectProxyFromProxies, sendBrowseRequest, setCanceled, setException, setupProxies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### username

    protected String username

#### password

    protected String password

### Constructor Detail

#### URLFileSystemBrowser

    public URLFileSystemBrowser(IFileID directoryOrFileID,
                                IRemoteFileSystemListener listener,
                                URL directoryOrFileURL,
                                IConnectContext connectContext,
                                Proxy proxy)

Parameters:
  `directoryOrFileID` - directory or file id
  `listener` - listener
  `directoryOrFileURL` - directory or file url
  `connectContext` - connect context
  `proxy` - proxy

### Method Detail

#### runRequest

    protected void runRequest()
                       throws Exception

Description copied from class: `AbstractFileSystemBrowser`
Run the actual request. This method is called within the job created to actually get the directory or file information.

Specified by:
  `runRequest` in class `AbstractFileSystemBrowser`
Throws:
  `Exception` - if some problem with making the request or receiving response to the request.

#### setupAuthentication

    protected void setupAuthentication()
                                throws IOException,
                                       UnsupportedCallbackException

Throws:
  `IOException`
  `UnsupportedCallbackException`

#### setupProxy

    protected void setupProxy(Proxy proxy2)

Specified by:
  `setupProxy` in class `AbstractFileSystemBrowser`